Problem with MPC5744P Sample

cancel
Showing results for 
Search instead for 
Did you mean: 

Problem with MPC5744P Sample

Jump to solution
154 Views
Ehsaaan
Contributor II

Hello Dears,

I downloaded MPC574XP_MCAL4_0_RTM_2_0_2 from NXP and opened the project in EB TRESOS. when i generated the virgin project, there are some errors. i attached the error log, could anyone please help on this?

Tags (1)
0 Kudos
1 Solution
114 Views
namnguyenviet
NXP Employee
NXP Employee

Try to clean all the objects and compile/link again. If the issue still persist, I recommend you to use the compiler listed out in the Release Note: DIAB 5.9.4.0

namnguyenviet_0-1632713818362.png

 

 

 

Best Regards,

Nam

View solution in original post

5 Replies
128 Views
Ehsaaan
Contributor II

I changed the EB version to 14.2.1. I sent you the project files before. Now EB is generating the project without any errors. But still when I try to compile the project through the launch.bat, there are errors in MCU .c .h files. Look at this please: @namnguyenviet 

0 Kudos
115 Views
namnguyenviet
NXP Employee
NXP Employee

Try to clean all the objects and compile/link again. If the issue still persist, I recommend you to use the compiler listed out in the Release Note: DIAB 5.9.4.0

namnguyenviet_0-1632713818362.png

 

 

 

Best Regards,

Nam

View solution in original post

110 Views
Ehsaaan
Contributor II

Thank you it's okay right now after cleaning.
I have another question, what should we do if we want to use this sample with another EB version without error. e.g V24 or V27. Where we should make changes in the project to run with newer versions of EB?

0 Kudos
99 Views
namnguyenviet
NXP Employee
NXP Employee

Hello @Ehsaaan,

If you want to run the MPC5744P MCAL ASR 4.0 RTM 2.0.2 with EB tresos 24 or higher, you need to modify the template files. However, it will lead to the licensing issue, due to the fact that these files are protected from modification. So it's not possible to make the package work with EB tresos 24 or higher.

Best Regards,

Nam

0 Kudos
138 Views
namnguyenviet
NXP Employee
NXP Employee

Hello,

You need to use the equivalent EB Tresos version listed out in the Release Notes to avoid that issue.

namnguyenviet_0-1632730371235.png

Best Regards,

Nam

 

0 Kudos